# $Revision: 1.18 $, $Date: 2007-02-13 08:06:39 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	enum
%define		pnam	enum
Summary:	enum - C style enumerated types and bitmask flags in Perl
Summary(pl.UTF-8):	enum - typy wyliczeniowe w stylu C i znaczniki bitowe dla Perla
Name:		perl-enum
Version:	1.016
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	aace7ee8648e5d20c0e81f5a51cb6604
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
enum defines a set of symbolic constants with ordered numeric values
ala C enum types.

%description -l pl.UTF-8
enum definiuje zestaw stałych symbolicznych o uporządkowanych
wartościach numerycznych, podobnie do typów enum w C.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/enum.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-enum.spec,v $
Revision 1.18  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 22:30:57  paladine
- formatting

Revision 1.15  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.14  2004/05/07 00:38:14  ankry
- rel. 4

Revision 1.13  2004/05/06 18:21:33  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/25 11:35:45  ankry
- added tests, informative summary, fixed license, rel. 3 for Ac

Revision 1.11  2004/02/18 16:27:03  qboosh
- s/no/nb/ in Summary langs

Revision 1.10  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:45  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 22:43:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:19  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/07/30 13:56:44  ankry
- typo

Revision 1.1  2002/07/30 13:52:48  ankry
- new module

